jackrabbit-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From KÖLL Claus <C.KO...@TIROL.GV.AT>
Subject AW: Warning after migrating from 1.2.2 to 1.3
Date Mon, 30 Apr 2007 05:23:25 GMT
has you written your own filter (extractor) ?

The Extractors that come with jackrabbit does not extract application/zip as i know ..
Jackrabbit now warns you if you try to index a bin data with a not supported mime-type

BR,
claus

-----Ursprüngliche Nachricht-----
Von: Lubos and Alena Pochman [mailto:pochmans@gmail.com] 
Gesendet: Freitag, 27. April 2007 23:26
An: users@jackrabbit.apache.org
Betreff: Warning after migrating from 1.2.2 to 1.3

Hi all,

after migrating from 1.2.2 to 1.3 I am getting warning:

WARN [] JackrabbitTextExtractor - Full text indexing of application/zip is
not supported

I am creating nt:file nodes like:

        Node content = document.addNode("jcr:content", "nt:resource");
        content.setProperty("jcr:mimeType", "application/zip");
        content.setProperty("jcr:data", new
ByteArrayInputStream(zipContents));
        content.setProperty("jcr:lastModified", Calendar.getInstance());

What is the reason for the warning? What should I do to suppress the
warning?

Thanks, Lubos

Mime
View raw message